%global momorel 1
%define gdk_directfb_version 2002-08-26

Summary: The GIMP ToolKit (GTK+), a library for creating GUIs for X.
Name: gtk+
Version: 2.4.3
Release: %{momorel}m
Group: System Environment/Libraries
License: LGPL
URL: http://www.gtk.org/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.4/%{name}-%{version}.tar.bz2 debfd0fcef08683c0761f13e1ba2dced

#Source1: http://www.directfb.org/download/GTK+-DirectFB/gdk-directfb-%{gdk_directfb_version}.tar.gz
#NoSource: 1
#Source2: gtkimcontextxim.c
#Patch: gtk+-ximmoudle.patch
#Patch1: gtk+-directfbmake.patch
#Patch2: gdkdirectfb-render.patch
#Patch3: gdk-directfb.patch
#Patch4: gtkimcontextxim.patch

#Patch0: gtk+-2.2.1-key_press-accel.patch
#Patch1: gtk+-2.2.2-imxim.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gtk-doc >= 1.2
BuildPrereq: libjpeg-devel >= 6b
BuildPreReq: libpng-devel >= 1.2.5
BuildPrereq: libtiff-devel >= 3.5.7
BuildPrereq: zlib-devel >= 1.1.4-5m
BuildPrereq: atk-devel >= 1.7.1
BuildPrereq: pango-devel >= 1.4.0
#BuildPrereq: pkgconfig >= 0.14.0   #(glib-devel)
BuildPrereq: glib-devel >= 2.4.2
#BuildPrereq: DirectFB-devel >= 0.9.13

Requires: %{name}-common = %{version}-%{release}
Obsoletes: gtk+2 gtk+2-devel
Obsoletes: gtk+-DirectFB

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.  

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.
#'

%package devel
Summary: Development tools for GTK+ (GIMP ToolKit) applications.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: atk-devel
Requires: pango-devel
Requires: libjpeg-devel
Requires: libpng-devel >= 1.2.5
Requires: libtiff-devel
Requires: zlib-devel >= 1.1.4-5m
Requires: DirectFB-devel
#Requires: pkgconfig   #(glib-devel)
#Requires: glib-devel  #(atk-devel, pango-devel)
#Requires: %{name}-DirectFB = %{version}-%{release}

%description devel
The gtk+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications.  The gtk+-devel
package contains glib1 (a collection of routines for simplifying the
development of GTK+ applications), GDK (the General Drawing Kit, which
simplifies the interface for writing GTK+ widgets and using GTK+ widgets
in applications), and GTK+ (the widget set).

Install gtk+-devel if you need to develop GTK+ applications.  You'll also
need to install the gtk+ package.
#'
 
%package common
Summary: The GIMP ToolKit (GTK+), a library for creating GUIs.
Group: System Environment/Libraries
 
%description common
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces.

#%package DirectFB
#Summary: The GIMP ToolKit (GTK+), a library for creating GUIs for DirectFB.
#Group: System Environment/Libraries
#Requires: %{name}-common = %{version}-%{release}
# 
#%description DirectFB
#The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
#graphical user interfaces for the DirectFB.

%prep
%setup -q -c

(
  cd gtk+-%{version}
#%patch -p1
#%patch1 -p1
#cp %{SOURCE2} modules/input
#%patch -p1 -b .xim_hwkey
#%patch4 -p1 -b .87482

#directfb
#pushd gdk
#tar xzf %{SOURCE1}
#mv gdk-directfb-%{gdk_directfb_version} directfb
#%patch2 -b .render
#popd
#%patch3 -p1
)

#cp -a gtk+-%{version} gtk+-directfb
#pushd gtk+-directfb
#%patch1 -p1 -b .directfbmake
#popd

%build
#x11
(
  cd  gtk+-%{version}
  aclocal-1.7
  automake-1.7
  autoconf
  %configure --with-xinput=xfree --with-gdktarget=x11
  %make
)

#directfb
#pushd gtk+-directfb
#automake-old
#autoconf
#configure
#make
#popd

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
#x11
(
  cd gtk+-%{version}
  %makeinstall
)

#directfb
#pushd gtk+-directfb
#makeinstall
#popd

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/ldconfig
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules

%postun
/sbin/ldconfig

%post common
/sbin/ldconfig
%{_bindir}/gdk-pixbuf-query-loaders > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders

%postun common
/sbin/ldconfig

#%post DirectFB
#/sbin/ldconfig
#/usr/bin/gtk-directfb-query-immodules-2.0 > /etc/gtk-directfb-2.0/gtk.immodules

#%postun DirectFB
#/sbin/ldconfig

%files common
%defattr(-, root, root)
%dir %{_sysconfdir}/gtk-2.0
%config %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders
%doc gtk+-%{version}/AUTHORS gtk+-%{version}/COPYING gtk+-%{version}/ChangeLog gtk+-%{version}/NEWS gtk+-%{version}/README
%{_bindir}/gdk-pixbuf-query-loaders
%{_libdir}/libgdk_pixbuf-2.0.so.*
%dir %{_libdir}/gtk-2.0
%dir %{_libdir}/gtk-2.0/*
%dir %{_libdir}/gtk-2.0/*/loaders
%{_libdir}/gtk-2.0/*/loaders/*.so
%{_datadir}/locale/*/*/*
%{_datadir}/themes

%files
%defattr(-, root, root)
%config %{_sysconfdir}/gtk-2.0/gtk.immodules
%{_bindir}/gtk-query-immodules-2.0
%{_libdir}/lib*x11*.so.*
%{_libdir}/libgdk_pixbuf_xlib-2.0.so.*
%dir %{_libdir}/gtk-2.0/*/immodules
%{_libdir}/gtk-2.0/*/immodules/*.so

#%files DirectFB
#%defattr(-, root, root)
#%doc gtk+-directfb/gdk/directfb/AUTHORS gtk+-directfb/gdk/directfb/ChangeLog gtk+-directfb/gdk/directfb/TODO gtk+-directfb/gdk/directfb/README
#%dir %{_sysconfdir}/gtk-directfb-2.0
#%config %{_sysconfdir}/gtk-directfb-2.0/gtk.immodules
#%{_bindir}/gtk-directfb-query-immodules-2.0
#%{_libdir}/lib*directfb*.so.*
#%dir %{_libdir}/gtk-directfb-2.0
#%dir %{_libdir}/gtk-directfb-2.0/*
#%dir %{_libdir}/gtk-directfb-2.0/*/immodules
#%{_libdir}/gtk-directfb-2.0/*/immodules/*.so

%files devel
%defattr(-, root, root)
%{_bindir}/gdk-pixbuf-csource
%{_bindir}/gtk-demo
#%{_bindir}/gtk-directfb-demo
%{_libdir}/lib*.so
%{_libdir}/lib*a
%{_libdir}/pkgconfig/*.pc
#%{_libdir}/gtk-directfb-2.0/*/immodules/*a
#%{_libdir}/gtk-directfb-2.0/include
%{_libdir}/gtk-2.0/*/immodules/*a
%{_libdir}/gtk-2.0/*/loaders/*a
%{_libdir}/gtk-2.0/include
%{_datadir}/man/man1/*
%{_datadir}/aclocal/*
%doc %{_datadir}/gtk-2.0
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/gtk-2.0

%ChangeLog
* Thu Jun 17 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.4.3-1m)
- version 2.4.3

* Sun Apr 18 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.4.0-3m)
- adjustment BuildPreReq

* Tue Apr 13 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.0-2m)
- corrected BuildPreReq

* Sun Apr 11 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.4.0-1m)
- version 2.4.0
- GNOME 2.6 Desktop
- remove patch0
- use aclocal-1.7, automake-1.7

* Mon Oct 27 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2.4-1m)
- pretty spec file.

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.2.4-1m)
- version 2.2.4
- obsolete patch1

* Wed Jun 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.2-2m)
- apply imcontextxim patch for Infinite loop (baatari-).

* Wed Jun 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.2-1m)
- version 2.2.2

* Wed Apr  9 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.1-5m)
- change handle key_press order.

* Sun Apr 06 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.1-4m)
- rebuild against zlib 1.1.4-5m

* Fri Mar  7 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.1-3m)
- rebuild against for XFree86-4.3.0

* Wed Mar 05 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.1-2m)
- fix URL
- delete doc TODO

* Tue Feb 04 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.1-1m)
- version 2.2.1

* Fri Dec 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.0-1m)
- version 2.2.0

* Wed Dec  4 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.3-1m)
- version 2.1.3

* Mon Nov 11 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.2-1m)
- version 2.1.2

* Sat Oct 19 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.1-4m)
- fix filelist

* Wed Oct 16 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.1-3m)
- add gtkimcontextxim.patch (see bugzilla.gnome.org#87482)

* Wed Oct 16 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.1-2m)
- fixup file list

* Tue Oct 15 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.1-1m)
- version 2.1.1

* Fri Oct  4 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.0-2m)
- use old gtkimcontextxim

* Fri Oct  4 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.0-1m)
- version 2.1.0
- wait wait for DirectFB..

* Tue Aug 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.6-3m)
- update gdk-directfb to 2002-08-26

* Mon Aug 12 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.6-2m)
- support DirectFB

* Mon Aug 05 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.6-1m)
- version 2.0.6

* Tue Jul 30 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.5-4m)
- uuppddaattee xxiimm mmoodduullee ppaattcchh

* Mon Jul 29 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.5-3m)
- add gtk+-2.0.5-xim_keycode.patch ("<")

* Mon Jun 17 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.5-2k)
- version 2.0.5

* Sun Jun 16 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.4-2k)
- version 2.0.4

* Wed May 29 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.3-2k)
- version 2.0.3

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.0.2-4k)
- rebuild against libpng-1.2.2.

* Tue Apr 09 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.2-2k)
- version 2.0.2

* Mon Apr 01 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.1-2k)
- version 2.0.1

* Sat Mar 09 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.0-2k)
- version 2.0.0

* Fri Mar 08 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.0.rc1-4k)
- rebuild against for pango-1.0.0.rc2

* Wed Mar 06 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.0.rc1-2k)
- version 2.0.0.rc1
- change name to gtk+

* Tue Mar  5 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.15-4k)
- modify dependency list

* Mon Feb 25 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.15-2k)
- version 1.3.15

* Mon Feb 18 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.14-2k)
- version 1.3.14

* Wed Feb 13 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.13-10k)
- rebuild against for at-spi-0.0.8
- rebuild against for atk-0.12
- rebuild against for gail-0.8
- rebuild against for libgnomeui-1.111.1

* Thu Feb 07 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.13-8k)
- rebuild against for at-spi-0.0.7
- rebuild against for atk-0.11
- rebuild against for gail-0.7
- rebuild against for gedit2-1.110.1
- rebuild against for libglade-1.99.7
- rebuild against for libgnomeui-1.110.1

* Wed Feb 06 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.13-6k)
- rebuild against for glib-1.3.13

* Wed Jan 30 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.13-2k)
- version 1.3.13
- rebuild against for pango-0.24
- rebuild against for glib-1.3.13
- rebuild against for atk-0.10

* Tue Dec 25 2001 Shingo Akagaki <dora@kondara.org>
- (1.3.12-2k)
- version 1.3.12

* Mon Jul 16 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 1.3.6

* Thu Apr 26 2001 Shingo Akagaki <dora@kondara.org>
- fork from gtk+ spec
